--- a/cmake/install_layout.cmake	2020-10-21 03:45:23.000000000 -0400
+++ b/cmake/install_layout.cmake	2020-10-21 03:48:50.000000000 -0400
@@ -80,7 +80,7 @@
 ENDIF()
 
 SET(INSTALL_LAYOUT "${DEFAULT_INSTALL_LAYOUT}"
-  CACHE STRING "Installation directory layout. Options are: TARGZ (as in tar.gz installer), STANDALONE, RPM, DEB, SVR4"
+  CACHE STRING "Installation directory layout. Options are: TARGZ (as in tar.gz installer), STANDALONE, RPM, DEB, SVR4, MACPORTS"
   )
 
 IF(UNIX)
@@ -98,7 +98,7 @@
       CACHE PATH "install prefix" FORCE)
   ENDIF()
   SET(VALID_INSTALL_LAYOUTS
-    "RPM" "DEB" "SVR4" "TARGZ" "STANDALONE")
+    "RPM" "DEB" "SVR4" "TARGZ" "STANDALONE" "MACPORTS")
   LIST(FIND VALID_INSTALL_LAYOUTS "${INSTALL_LAYOUT}" ind)
   IF(ind EQUAL -1)
     MESSAGE(FATAL_ERROR "Invalid INSTALL_LAYOUT parameter:${INSTALL_LAYOUT}."
@@ -233,6 +233,37 @@
 SET(INSTALL_SECURE_FILE_PRIVDIR_RPM     ${secure_file_priv_path})
 
 #
+# MACPORTS layout
+#
+SET(INSTALL_BINDIR_MACPORTS                       "lib/@NAME@/bin")
+SET(INSTALL_SBINDIR_MACPORTS                      "lib/@NAME@/bin")
+SET(INSTALL_SCRIPTDIR_MACPORTS                    "lib/@NAME@/bin")
+#
+SET(INSTALL_LIBDIR_MACPORTS                       "lib/@NAME@/mysql")
+SET(INSTALL_PRIV_LIBDIR_MACPORTS                  "lib/@NAME@/mysql")
+SET(INSTALL_PLUGINDIR_MACPORTS                    "lib/@NAME@/plugin")
+#
+SET(INSTALL_INCLUDEDIR_MACPORTS                   "include/@NAME@/mysql")
+#
+SET(INSTALL_DOCDIR_MACPORTS                       "share/doc/@NAME@")
+SET(INSTALL_DOCREADMEDIR_MACPORTS                 "share/doc/@NAME@")
+SET(INSTALL_MANDIR_MACPORTS                       "share/man/@NAME@")
+SET(INSTALL_INFODIR_MACPORTS                      "share/doc/@NAME@")
+#
+SET(INSTALL_SHAREDIR_MACPORTS                     "share/@NAME@")
+SET(INSTALL_MYSQLSHAREDIR_MACPORTS                "share/@NAME@")
+SET(INSTALL_MYSQLTESTDIR_MACPORTS                 "share/@NAME@/mysql-test")
+SET(INSTALL_SQLBENCHDIR_MACPORTS                  "share/@NAME@")
+SET(INSTALL_SUPPORTFILESDIR_MACPORTS              "share/@NAME@/support-files")
+#
+SET(INSTALL_MYSQLDATADIR_MACPORTS                 "${CMAKE_INSTALL_PREFIX}/var/db/@NAME@")
+SET(INSTALL_MYSQLKEYRINGDIR_MACPORTS              "${CMAKE_INSTALL_PREFIX}/var/db/@NAME@-keyring")
+SET(INSTALL_SECURE_FILE_PRIVDIR_MACPORTS          "${CMAKE_INSTALL_PREFIX}/var/db/@NAME@-files")
+SET(INSTALL_SECURE_FILE_PRIV_EMBEDDEDDIR_MACPORTS "${CMAKE_INSTALL_PREFIX}/var/db/@NAME@-files")
+SET(INSTALL_PLUGINTESTDIR_MACPORTS                ${plugin_tests})
+
+
+#
 # DEB layout
 #
 SET(INSTALL_BINDIR_DEB                  "bin")
